Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoNDSorting_I< EOT > Class Template Reference

The original Non Dominated Sorting algorithm from Srinivas and Deb. More...

`#include <eoNDSorting.h>`

Inheritance diagram for eoNDSorting_I< EOT >:

List of all members.

## Public Member Functions
| eoNDSorting_I (double _nicheSize, bool nasty_flag_=false)
std::vector< double > | niche_penalty (const std::vector< unsigned > &current_front, const eoPop< EOT > &_pop)
| Pure virtual function that calculates the 'distance' for each element in the current front Implement to create your own nondominated sorting algorithm.
## Private Attributes
double | nicheSize

## Detailed Description

### template<class EOT>
class eoNDSorting_I< EOT >

The original Non Dominated Sorting algorithm from Srinivas and Deb.

Definition at line 380 of file eoNDSorting.h.

## Member Function Documentation

template<class EOT>
std::vector<double> eoNDSorting_I< EOT >::niche_penalty | ( | const std::vector< unsigned > & | current_front,
|  | const eoPop< EOT > & | _pop
| ) | `[inline, virtual]`

| Pure virtual function that calculates the 'distance' for each element in the current front Implement to create your own nondominated sorting algorithm. The size of the returned std::vector should be equal to the size of the current_front. Implements eoNDSorting< EOT >. Definition at line 385 of file eoNDSorting.h.

The documentation for this class was generated from the following file:

- eoNDSorting.h